Skip to main content
PATCH
Update a provider credential
Providing key replaces the encrypted secret. Omitting it preserves the existing secret. Model and API-key allowlists are optional; an empty list allows every model or API key in the workspace.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 255
key
string
write-only

Replacement raw credential. Encrypted and never returned.

Minimum string length: 1
enabled
boolean
routing_mode
enum<string>
Available options:
priority,
fallback
allowed_models
string[]
Maximum array length: 256
allowed_api_key_ids
string<uuid>[]
Maximum array length: 256

Response

Provider credential updated

data
object
required
Last modified on August 30, 2026